List All Encoding Jobs
List all encoding jobs for the service. No date filter — returns all.
curl -X GET "https://api.5centscdn.com/v2/transcoding" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/transcoding", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"zonesInRange": [
2331,
6643
],
"logsInRange": [
{
"index": 146206,
"serviceid": 103,
"zoneid": 6643,
"hash": "a1b2c3d4e5f67890a1b2c3d4e5f67890",
"meta": {
"zoneid": "6643",
"profileid": "1",
"infile": "/zone-12345/source/sample-video.mp4",
"extension": "mp4",
"sbrmp4": [],
"outfile": "/zone-12345/mp4/sample-video_720p.mp4",
"outdir": "/zone-12345/mp4",
"relativepath": {
"infile": "/sample-video.mp4",
"outfile": "/mp4/sample-video_720p.mp4"
},
"orientationLock": true,
"hlsUnifiedSegments": false,
"hlsfMP4Segments": false,
"time": {
"process": {
"start": "1777227925968",
"end": "1777228373550"
},
"infile": {
"check": {
"start": "1777227926036",
"end": "1777227926751"
},
"probe": {
"start": "1777227926751",
"end": "1777227929617"
}
},
"download": {
"start": "1777227929688",
"end": "1777227935071"
},
"encoder": {
"start": "1777227935139",
"end": "1777228373140"
},
"outfile": {
"check": {},
"probe": {
"start": "1777228373140",
"end": "1777228373199"
},
"segment": {}
},
"thumbs": {
"process": {}
},
"upload": {
"start": "1777228373489",
"end": "1777228373540"
}
},
"probe": {
"infile": {
"streams": [
{
"index": 0,
"codec_name": "h264",
"codec_long_name": "H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10",
"profile": "High",
"codec_type": "video",
"codec_tag_string": "avc1",
"codec_tag": "0x31637661",
"width": 1920,
"height": 1080,
"coded_width": 1920,
"coded_height": 1080,
"closed_captions": 0,
"film_grain": 0,
"has_b_frames": 1,
"sample_aspect_ratio": "1:1",
"display_aspect_ratio": "16:9",
"pix_fmt": "yuv420p",
"level": 40,
"color_range": "tv",
"color_space": "bt709",
"color_transfer": "bt709",
"color_primaries": "bt709",
"chroma_location": "left",
"field_order": "progressive",
"refs": 1,
"is_avc": "true",
"nal_length_size": "4",
"sample_fmt": "fltp",
"sample_rate": "44100",
"channels": 2,
"channel_layout": "stereo",
"bits_per_sample": 0,
"initial_padding": 0,
"id": "0x1",
"r_frame_rate": "24000/1001",
"avg_frame_rate": "462960000/19309289",
"time_base": "1/90000",
"start_pts": 0,
"start_time": "0.000000",
"duration_ts": 19309289,
"duration": "214.547656",
"bit_rate": "3001829",
"bits_per_raw_sample": "8",
"nb_frames": "5144",
"extradata_size": 48,
"disposition": {
"default": 1,
"dub": 0,
"original": 0,
"comment": 0,
"lyrics": 0,
"karaoke": 0,
"forced": 0,
"hearing_impaired": 0,
"visual_impaired": 0,
"clean_effects": 0,
"attached_pic": 0,
"timed_thumbnails": 0,
"non_diegetic": 0,
"captions": 0,
"descriptions": 0,
"metadata": 0,
"dependent": 0,
"still_image": 0
},
"tags": {
"language": "und",
"handler_name": "VideoHandler",
"vendor_id": "[0][0][0][0]",
"encoder": "Lavc61.1.100 libx264"
},
"dar": {
"width": "16",
"height": "9",
"ratio": 1.78
}
}
],
"format": {
"nb_streams": 2,
"nb_programs": 0,
"nb_stream_groups": 0,
"format_name": "mov,mp4,m4a,3gp,3g2,mj2",
"format_long_name": "QuickTime / MOV",
"start_time": "0.000000",
"duration": "214.552381",
"size": "168235626",
"bit_rate": "6272990",
"probe_score": 100,
"tags": {
"major_brand": "isom",
"minor_version": "512",
"compatible_brands": "isomiso2avc1mp41",
"encoder": "Lavf61.1.100"
}
}
},
"outfile": {
"streams": [
{
"index": 0,
"codec_name": "h264",
"codec_long_name": "H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10",
"profile": "High",
"codec_type": "video",
"codec_tag_string": "avc1",
"codec_tag": "0x31637661",
"width": 1280,
"height": 720,
"coded_width": 1280,
"coded_height": 720,
"closed_captions": 0,
"film_grain": 0,
"has_b_frames": 2,
"sample_aspect_ratio": "1:1",
"display_aspect_ratio": "16:9",
"pix_fmt": "yuv420p",
"level": 42,
"color_range": "tv",
"color_space": "bt709",
"color_transfer": "bt709",
"color_primaries": "bt709",
"chroma_location": "left",
"field_order": "progressive",
"refs": 1,
"is_avc": "true",
"nal_length_size": "4",
"sample_fmt": "fltp",
"sample_rate": "44100",
"channels": 2,
"channel_layout": "stereo",
"bits_per_sample": 0,
"initial_padding": 0,
"id": "0x1",
"r_frame_rate": "30/1",
"avg_frame_rate": "30/1",
"time_base": "1/15360",
"start_pts": 0,
"start_time": "0.000000",
"duration_ts": 872448,
"duration": "56.800000",
"bit_rate": "1497168",
"bits_per_raw_sample": "8",
"nb_frames": "1704",
"extradata_size": 48,
"disposition": {
"default": 1,
"dub": 0,
"original": 0,
"comment": 0,
"lyrics": 0,
"karaoke": 0,
"forced": 0,
"hearing_impaired": 0,
"visual_impaired": 0,
"clean_effects": 0,
"attached_pic": 0,
"timed_thumbnails": 0,
"non_diegetic": 0,
"captions": 0,
"descriptions": 0,
"metadata": 0,
"dependent": 0,
"still_image": 0
},
"tags": {
"language": "und",
"handler_name": "VideoHandler",
"vendor_id": "[0][0][0][0]",
"encoder": "Lavc61.1.100 libx264"
}
}
],
"format": {
"nb_streams": 2,
"nb_programs": 0,
"nb_stream_groups": 0,
"format_name": "mov,mp4,m4a,3gp,3g2,mj2",
"format_long_name": "QuickTime / MOV",
"start_time": "0.000000",
"duration": "56.800000",
"size": "11613187",
"bit_rate": "1635660",
"probe_score": 100,
"tags": {
"major_brand": "isom",
"minor_version": "512",
"compatible_brands": "isomiso2avc1mp41",
"encoder": "Lavf61.1.100"
}
}
}
},
"serviceid": "103",
"codec": "h264",
"zone": {
"id": 6643,
"serviceid": 103,
"alias": "",
"hashid": "abc123xyz789",
"mode": "http",
"optimizer": "0",
"server": 206,
"cnames": "",
"zoneids": null,
"edgeruleids": 0,
"profile": null,
"rclone": 0,
"lsd_count": 0,
"disabled": "0",
"created_at": "2026-04-09 09:35:43",
"updated_at": "2026-04-26 17:50:21",
"deleted": null
},
"jobid": "1346217",
"isDemo": false,
"processLog": "",
"duration": "214.552381",
"billedSecs": 57,
"infileLink": "https://cdn.example.com/sample-video.mp4",
"outfileLink": "https://cdn.example.com/mp4/sample-video_720p.mp4"
},
"notified": "0",
"response": {},
"created_at": "2026-04-26 18:25:25",
"jobid": "1346217",
"profile": "720p",
"billedMins": "0m 57s",
"notificationConfigured": false,
"encoder": "Super",
"progress": "Completed",
"canCancel": false,
"canRetry": false,
"speed": "0.49x",
"billedSecs": 57
}
],
"billed": {
"jobs": 4,
"secs": 4495,
"mins": "75 mins",
"sourceMins": "72 mins",
"completed": 4,
"active": 0
}
}
GET
/transcoding
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
zonesInRangeinteger[]
Array of zone IDs that have encoding jobs within the queried date range.
logsInRangearray
Array of encoding job log entries within the queried date range.
billedobject
Billing summary for encoding jobs in the queried period.
Was this page helpful?